Summary:        Kannolo release notes
Name:           kannolo-release-notes
Version:        28
Release:        3
License:        MIT
Source0:        index.html
Source1:        kannolo-release-notes.desktop
Provides:       system-release-notes = %{version}-%{release}
BuildRequires:  desktop-file-utils
Requires:       filesystem
BuildArch:      noarch
Conflicts:      fedora-release-notes
Conflicts:      generic-release-notes

%description
Release notes for Kannolo %{version}.


%prep

%build

%install
install -dm 755 %{buildroot}%{_datadir}/kannolo-release-notes
install -pm 644 %{SOURCE0} \
    %{buildroot}%{_datadir}/kannolo-release-notes
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%files
%{_datadir}/kannolo-release-notes/
%{_datadir}/applications/kannolo-release-notes.desktop

%changelog
* Thu Feb 01 2018 Kevin Kofler <Kevin@tigcc.ticalc.org> - 28-3
- add a note about branding under the main package changes
- update the netinstall paragraph about recommended packages (new presentation,
  replacement of Media Writer from upstream with ISO Image Writer from KDE)

* Wed Jan 24 2018 Kevin Kofler <Kevin@tigcc.ticalc.org> - 28-2
- revert "mention the replacement of ufw-kde with nomad-firewall", postponed

* Mon Jan 22 2018 Kevin Kofler <Kevin@tigcc.ticalc.org> - 28-1
- update for Kannolo 28
- mention that QupZilla is expected to replace Konqueror as the KDE browser
- mention the replacement of ufw-kde with nomad-firewall
- mention the kannolo-root-unlocker
- update the commented-out link to the (not yet released) upstream release notes

* Sun Nov 13 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 26-2
- mention and document the netinstall step available during installation

* Wed Oct 19 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 26-1
- update for Kannolo 26
- mention QupZilla as the current default browser

* Mon Aug 24 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 24-2
- mention no Firefox as a package change compared to upstream

* Sun Aug 23 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 24-1
- update for Kannolo 24

* Sun Aug 23 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 23-1
- update for Kannolo 23
- comment out the upstream release notes paragraph, link not available yet

* Sun Aug 23 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 22-1
- update for Kannolo 22

* Sun Aug 23 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-16
- update introductory paragraph (newer KDE Applications, versions only for 21)
- update the URL for Calamares

* Sat Jan 24 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-15
- uncomment the paragraph on UFW replacing firewalld, UFW is now packaged

* Tue Nov 18 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-14
- enable the upstream release notes link, they have finally gone live

* Sat Oct 25 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-13
- split from kannolo-release (turn the subpackage into its own package)
- add missing Requires: filesystem

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-12
- -notes: disable startup notification, does not work properly with xdg-open

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-11
- fix path to the release notes in the .desktop file

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-10
- add one-page release notes

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-9
- don't require rpm for directory ownership, breaks ordering in livecd-creator

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-8
- rename from generic-release to kannolo-release
- replace Generic with Kannolo
- remove release name from os-release
- replace release name with "Fedora Remix" in fedora-release
- remove product-specific subpackages, there is only one Kannolo
- remove irrelevant README.developers
- install the .repo file for the Kannolo Copr
- Requires: filesystem rpm (directory ownership)
- install the branding configuration for Calamares

* Tue Oct 21 2014 Tom Callaway <spot@fedoraproject.org> - 21-7
- add versioned provide for system-release(VERSION)

* Tue Oct 21 2014 Tom Callaway <spot@fedoraproject.org> - 21-6
- add productization (it is the foooooture)
- disable rawhide requires

* Thu Aug 07 2014 Dennis Gilmore <dennis@ausil.us> 
- Require fedora-repos and no longer ship repo files

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 12 2014 Tom Callaway <spot@fedoraproject.org> - 21-4
- license changes and clarification doc

* Sun Mar 09 2014 Bruno Wolff III <bruno@wolff.to> - 21-3
- Install dist macro into the correct directory

* Sun Jan 05 2014 Bruno Wolff III <bruno@wolff.to> - 21-2
- Work around incorrect prefix in the upstream tarball

* Sun Jan 05 2014 Bruno Wolff III <bruno@wolff.to> - 21-1
- Bump version to match current rawhide

* Sat Dec 21 2013 Bruno Wolff III <bruno@wolff.to> - 21-0.3
- Update version to 21 (which should have happened when f20 was branched)
- Changed to work with recent yum change (bug 1040607)

* Mon Dec  9 2013 Tom Callaway <spot@fedoraproject.org> - 20-1
- final release (disable rawhide dep)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Tom Callaway <spot@fedoraproject.org> - 20-0.1
- sync

* Wed Jun 26 2013 Tom Callaway <spot@fedoraproject.org> - 19-2
- sync to release

* Mon Mar 11 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 19-0.3
- Remove %%config from %%{_sysconfdir}/rpm/macros.*
  (https://fedorahosted.org/fpc/ticket/259).

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 19 2012 Tom Callaway <spot@fedoraproject.org> - 19-0.1
- sync to 19-0.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Tom Callaway <spot@fedoraproject.org> - 18-0.2
- sync with fedora-release model

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Tom Callaway <spot@fedoraproject.org> - 17-0.2
- initial 17

* Fri Jul 22 2011 Tom Callaway <spot@fedoraproject.org> - 16-0.2
- require -rawhide subpackage if we're built for rawhide

* Fri May 13 2011 Tom Callaway <spot@fedoraproject.org> - 16-0.1
- initial 16

* Fri May 13 2011 Tom Callaway <spot@fedoraproject.org> - 15-1
- sync to f15 final

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 15-0.3
- sync to rawhide

* Wed Feb 24 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 14-0.2
- fix broken requires

* Wed Feb 17 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 14-0.1
- update to sync with fedora-release

* Mon Nov 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 12-1
- Update for F12 final

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 11.90-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 11.90-1
- Build for F12 collection

* Wed May 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 11-1
- resync with fedora-release package

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> 10.90-2
- drop Requires: system-release-notes

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 10.90-1
- 10.90

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 10-1
- Bump to 10, update repos

* Mon Sep 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 9.91-2
- add Conflicts
- further sanitize descriptions

* Mon Sep 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 9.91-1
- initial package for generic-release and generic-release-notes
